Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

BUG  Problemas comunes al actualizar a 3.3.0Tema Solucionado

Foros de soporte phpBB 3.3


Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 964
Registrado: 14 Ene 2017, 22:18
Género:

Problemas comunes al actualizar a 3.3.0  Tema Solucionado

#1

Mensaje por AbaddonOrmuz »

Problema: Versión incompatible de PHP

Si su versión de PHP no es mayor o igual a PHP 7.1.3, no podrá correr phpBB 3.3.0. Si está ejecutando una versión incompatible de PHP, usted recibirá el siguiente mensaje de error:

Código: Seleccionar todo

You are running an unsupported PHP version. Please upgrade to PHP 7.1.3 or higher before trying to install or update to phpBB 3.3

Solución:
Actualice su versión de PHP a 7.1.3 o superior. Tal vez necesite contactar con su empresa proveedora de hosting para hacerlo o simplemente cambiarla desde el panel de control de su sitio web. Tome en cuenta que las versiones de PHP algunas veces pueden ser cambiadas de manera individual para cada directorio. Si usted recibe este error, entonces el directorio aún esta ejecutando una versión antigua. Para comprobarlo, cree un archivo PHP con el siguiente contenido para ver su versión:

Código: Seleccionar todo

<?php

phpinfo();

Problema: Extensión incompatible

Si usted recibe un mensaje de error similar al siguiente, significa que la extensión está usando una configuración de servicios obsoleta:

Código: Seleccionar todo

Exception: The file "/path/to/forum/ext/<author>/<extension name>/config/services.yml" does not contain valid YAML: The reserved indicator "@" cannot start a plain scalar; you need to quote the scalar at line <number> (near "- @config").

Éste estilo de definición se estableció como obsoleto desde phpBB 3.2.0 y completamente incompatible en phpBB 3.3.0.

Solución:
Obtenga una versión actualizada del autor de dicha extensión.


Problema: The installer detected a timeout

Si usted recibe éste mensaje de error después de apenas unos pocos segundos, verifique el registro de errores de su servidor (no el de phpBB) para verificar si se trata de un error de PHP suprimido que requiere ser corregido.

Si ocurre después de 30 segundos, tal vez necesite aumentar el tiempo de espera de PHP o usar el método de actualización a través de la línea de comandos.


Problema: No es posible eliminar o marcar mensajes privados en el PCU

No es posible eliminar o marcar mensajes privados mientras se encuentra en la vista de carpetas en el UCP.

Solución:
Elimine el mensaje privado mientras se encuentra viendo dicho mensaje.

O realice los siquientes cambios:

Ticket: https://tracker.phpbb.com/browse/PHPBB3-16296
Pull request: https://github.com/phpbb/phpbb/pull/5821/files
Información adicional: Problema de no poder eliminar mensajes privados


Problema: Failure while aqcuiring locks

Se ha reportado que usuarios del hosting Strato han estado recibiendo el siguiente error:

Código: Seleccionar todo

PHP Fatal error:  Uncaught phpbb\\exception\\http_exception: Failure while aqcuiring locks.

La empresa de hosting ha hecho varias afirmaciones del por qué ocurre este problema:

  • La extensión de PHP Argon2 no se encuentra
  • Es un problema con la base de datos

Sin embargo ninguna de ellas podrían causar el problema.

Solución:
Desconocida hasta el momento. El error no ha sido reportado con otras empresas de hosting.


Problema: Paquete de idioma obsoleto

Algunas páginas reportan arrojan el siguiente error en la parte superior:

Código: Seleccionar todo

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/language/language.php on line <number>: vsprintf(): Too few arguments

Solución:
Actualice su paquete de idiomas por uno que sea compatible con phpBB 3.3.0.



Tema original en phpBB



Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.3”